## org.eclipse.datatools.connectivity
Class ConnectionProfileMigratorBase

    java.lang.Object
      org.eclipse.datatools.connectivity.ConnectionProfileMigratorBase

All Implemented Interfaces:
  IConnectionProfileMigrator

    public class ConnectionProfileMigratorBase

extends java.lang.Object
implements IConnectionProfileMigrator

Base implementation for `IConnectionProfileMigrator`. Extenders can override `performMigration(IConnectionProfile)` to specialize property migration for their particular connection profile. `applyPropertyMigrations(IConnectionProfile)` is supplied to allow extenders to take advantage of the declarative property migration functionality available through propertyMigration elements. This API is provisional.

Author:
  rcernich Created on Apr 5, 2007

Constructor Summary
`ConnectionProfileMigratorBase()` Default constructor

Method Summary
`java.lang.String` `getNewProviderID()`
`void` `performMigration(IConnectionProfile profile)` Default implementation.
`void` `setInitializationData(IConfigurationElement config, java.lang.String propertyName, java.lang.Object data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionProfileMigratorBase

    public ConnectionProfileMigratorBase()

  Default constructor

Method Detail

### performMigration

    public void performMigration(IConnectionProfile profile)

  Default implementation. Simply invokes `applyPropertyMigrations(IConnectionProfile)`

  Specified by:
    `performMigration` in interface `IConnectionProfileMigrator`
  Parameters:
    `profile` - the connection profile to migrate.

### getNewProviderID

    public final java.lang.String getNewProviderID()

  Specified by:
    `getNewProviderID` in interface `IConnectionProfileMigrator`
  Returns:
    the new provider ID as specified in the migration element; note, may be the same as the original provider id

### setInitializationData

    public final void setInitializationData(IConfigurationElement config,
                                            java.lang.String propertyName,
                                            java.lang.Object data)
                                     throws CoreException

  Throws:
    `CoreException`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.